Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface HistoryLogEntry

    public interface HistoryLogEntry

A read-only History Log Entry

Method Summary
`int` | `getCode()` Returns an event code for this type of Log Entry
`java.util.Date` | `getDate()` Returns the date this Log Entry was created
`java.lang.String` | `getDistinguishedName()` Returns the distinguished name of the user associated with this Log Entry
`java.lang.String` | `getMessage()` Returns the message associated with this Log Entry
`java.lang.String` | `getName()` Returns the display name of the user associated with this Log Entry

Method Detail

### getDate

    java.util.Date getDate()

  Returns the date this Log Entry was created

  Returns:
    the date this Log Entry was created

### getName

    java.lang.String getName()

  Returns the display name of the user associated with this Log Entry

  Returns:
    the display name of the user associated with this Log Entry

### getMessage

    java.lang.String getMessage()

  Returns the message associated with this Log Entry

  Returns:
    the message associated with this Log Entry

### getDistinguishedName

    java.lang.String getDistinguishedName()

  Returns the distinguished name of the user associated with this Log Entry

  Returns `null` for any `HistoryLogEntry` where a distinguished name is not available

  Returns:
    The distinguished name of the user associated with this Log Entry or `null` if not available

### getCode

    int getCode()

  Returns an event code for this type of Log Entry

  Returns ``HistoryLogEntryCodes.UNAVAILABLE`` for any `HistoryLogEntry` where an event codes is not available

  All valid `HistoryLogEntry` codes are detailed in ``HistoryLogEntryCodes``.

  Returns:
    An event code for this type of Log Entry or ``HistoryLogEntryCodes.UNAVAILABLE`` if not available

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD